# $Revision: 1.23 $, $Date: 2005/12/18 20:03:35 $
Summary:	A client for the mldonkey P2P network
Summary(pl):	Klient dla sieci P2P mldonkey
Name:		kmldonkey
Version:	0.10.1
Release:	3
Epoch:		1
License:	GPL
Group:		X11/Applications/Networking
Source0:	http://savannah.nongnu.org/download/kmldonkey/%{name}-%{version}.tar.bz2
# Source0-md5:	e1932b1455c7a5cec53145b675bdd8d7
Patch0:		%{name}-desktop.patch
Patch1:		%{name}-submit.patch
URL:		http://www.kmldonkey.org/
BuildRequires:	automake
BuildRequires:	fam-devel
BuildRequires:	kdebase-devel >= 3.0
BuildRequires:	pcre-devel
BuildRequires:	rpmbuild(macros) >= 1.129
BuildRoot:	%{tmpdir}/%{name}-%{version}-root-%(id -u -n)

%description
KMLDonkey is a client for the mldonkey P2P network.

%description -l pl
KMLDonkey to klient dla sieci P2P mldonkey.

%package devel
Summary:	KMLDonkey header files
Summary(pl):	Pliki nagwkowe KMLDonkey
Group:		Development/Libraries
Requires:	%{name} = %{epoch}:%{version}-%{release}

%description devel
KMLDonkey header files.

%description devel -l pl
Pliki nagwkowe KMLDonkey.

%prep
%setup -q
%patch0 -p1
%patch1 -p1

%build
kde_htmldir="%{_kdedocdir}"; export kde_htmldir
cp -f /usr/share/automake/config.sub admin
%configure \
	--with-qt-libraries=%{_libdir}

%{__make}

%install
rm -rf $RPM_BUILD_ROOT

%{__make} install \
	DESTDIR=$RPM_BUILD_ROOT \
	kdelnkdir=%{_desktopdir} \
	kcmdonkeydir=%{_desktopdir}/kde

mv $RPM_BUILD_ROOT%{_desktopdir}/{ed2k,magnet,sig2dat}.protocol $RPM_BUILD_ROOT%{_datadir}/services/

%find_lang %{name} --with-kde

%clean
rm -rf $RPM_BUILD_ROOT

%post	-p /sbin/ldconfig
%postun	-p /sbin/ldconfig

%files -f %{name}.lang
%defattr(644,root,root,755)
%attr(755,root,root) %{_bindir}/*
%attr(755,root,root) %{_libdir}/lib*.so.*.*.*
%attr(755,root,root) %{_libdir}/kde3/*.so*
%{_libdir}/kde3/*.la
%{_datadir}/apps/kmldonkey
%{_datadir}/apps/mldonkeyapplet
%{_datadir}/apps/kicker/applets/*.desktop
%{_datadir}/apps/konqueror/servicemenus/*.desktop
%{_iconsdir}/*/*/*/*
%{_desktopdir}/*.desktop
%{_desktopdir}/kde/*.desktop
%{_datadir}/services/*.protocol
%{_datadir}/services/kded/kmldonkeyd.desktop
%{_datadir}/services/kmldonkey_debugpage.desktop
%{_datadir}/servicetypes/kmldonkey_plugin.desktop
%{_mandir}/man1/*

%files devel
%defattr(644,root,root,755)
%attr(755,root,root) %{_libdir}/lib*.so
%{_libdir}/lib*.la
%{_includedir}/kmldonkey

%define date	%(echo `LC_ALL="C" date +"%a %b %d %Y"`)
%changelog
* %{date} PLD Team <feedback@pld-linux.org>
All persons listed below can be reached at <cvs_login>@pld-linux.org

$Log: kmldonkey.spec,v $
Revision 1.23  2005/12/18 20:03:35  glen
- kmldonkey_submit fix for newer cores (ed2k links); rel 3

Revision 1.22  2005/12/17 13:09:51  blekot
- added {ed2k,magnet,sig2dat}.protocol
- rel 2

Revision 1.21  2005/07/26 21:50:18  paszczus
- updated to 0.10.1

Revision 1.20  2004/11/03 14:55:12  wiget
- updated to final 0.10

Revision 1.19  2004/09/19 22:10:12  ankry
- remove bogus translation, rel. .3

Revision 1.18  2004/09/19 18:56:57  ankry
- fixed R:, rel. 2

Revision 1.17  2004/09/19 16:37:19  troll
- updated to pre4
- Epoch: 1 because of broken versioning

Revision 1.16  2004/08/21 20:05:09  ankry
- rel. .7 to rebuild

Revision 1.15  2004/07/17 07:10:07  qboosh
- fixed files, use _kdedocdir macro, strict dep; release .6

Revision 1.14  2004/07/17 07:06:17  ankry
- rel. .5

Revision 1.13  2004/07/17 06:47:24  ankry
- hopefully fixed amd64 build

Revision 1.12  2004/07/17 06:04:54  ankry
- copy config.sub for amd64, rel .4

Revision 1.11  2004/07/17 05:59:44  ankry
- added -desktop.patch, rel .3

Revision 1.10  2004/06/27 14:49:44  djurban
- fix desktop

Revision 1.9  2004/06/23 15:25:44  djurban
- fix icons

Revision 1.8  2004/04/23 22:36:31  gotar
- BR: {kdebase,pcre}-devel, reported by Lukasz Glebicki

Revision 1.7  2004/04/17 08:06:34  wiget
- new URL

Revision 1.6  2004/03/21 18:40:35  mkierus
- updated to 0.10pre3

Revision 1.5  2004/02/04 12:59:42  qboosh
- fixed Categories (missing semicolon)

Revision 1.4  2003/12/23 12:27:32  djurban
- vfolderized
- rel2 for ac,nest

Revision 1.3  2003/08/11 08:00:06  qboosh
- pl cosmetics, added ldconfig

Revision 1.2  2003/08/08 21:15:46  mkierus
- mldonkey is not needed on the same machine

Revision 1.1  2003/08/08 20:46:32  mkierus
- initial release
